Bug 469886 - No obvious way to get the sharer_id for public bugs
No obvious way to get the sharer_id for public bugs
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:20 EST by Jeff Needle
Modified: 2013-06-23 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 11:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch add link to saved search table that can be shared (v1) (1.06 KB, patch)
2008-11-05 00:28 EST, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description Jeff Needle 2008-11-04 11:20:44 EST
When you add a new shared query, as the owner, your bug doesn't show up in the bottom half ("You may use these searches saved and shared by others"), so there's no obvious way to get the URL which you can share with people.  You need to take the URL from the "Your saved searches are as follows" section and add the &sharer_id portion to it, but there's no real way to know what the sharer_id is.

The easiest way to solve this might be to simply have your shared searches also show up in the shared searches section below, where you can right click on the URL and save the link.

I'm open to being educated if this is just a user oversight.
Comment 1 Noura El hawary 2008-11-04 20:33:24 EST
Hi Jeff,

I am not quite sure why do you need to send the shared_search url with the sharer_id to other people for? You can just send the people your shared search name and your name and they will be able to find it in their shared search by others section , or even you can view those searches in the footers of their bugzilla pages if they are in the group that you are sharing the search with. It is more user friendly to use that than to use the url , and after all that is the whole idea of the shared search feature.

Noura
Comment 2 Jeff Needle 2008-11-04 21:35:12 EST
I am trying to send out a simple URL instead of a very long URL.  I created a search today called "MRG NEEDINFO" and shared it with group redhat.  If I click on "Run" next to the search, it executes the following link:

https://bugzilla.redhat.com/buglist.cgi?cmdtype=runnamed&namedcmd=MRG%20NEEDINFO

but when I send that out to others, it does not work unless they go to Preferences->Saved Searches, hunt for it in the ever-increasing list of shared searches, and execute it from there.  But when they do, they see the sharer_id added at the end, and that URL can be sent and shared and clicked on from within e-mail or from wiki pages.
Comment 3 Noura El hawary 2008-11-04 22:16:25 EST
Hi Jeff,

How about you check the "Add to footer" checkbox for your shared search that way this shared search will appear in the footer of bugzilla to all the members of the redhat group and that way they can just click on its name in the footer and it will run the search for them ;)

Noura
Comment 4 David Lawrence 2008-11-05 00:28:22 EST
Created attachment 322523 [details]
Patch add link to saved search table that can be shared (v1)

Adding a patch that adds a hyperlink to the shared search table that can be copied to others without putting it in their footer. The link is only displayed if the search is shared with a group and the person using the link would need to be in that group.

Please review
Dave
Comment 5 Jeff Needle 2008-11-05 06:25:49 EST
Thanks, Dave.  Does this link get added to the top table or the bottom table?  If it's the bottom table, I'll still have the same problem as a user doesn't see his own shared searches in that table.
Comment 6 Noura El hawary 2008-11-05 06:33:03 EST
Jeff , the link is added to the top table
Comment 7 Noura El hawary 2008-11-05 06:35:23 EST
Comment on attachment 322523 [details]
Patch add link to saved search table that can be shared (v1)

Hi Dave ,

I tested the patch and it works fine and looks good, I also had another idea of just making the url for the Run link in the top table to show the sharer id when copy link as or save link as if the case of shared searches something like that:

Index: template/en/default/account/prefs/saved-searches.html.tmpl
===================================================================
RCS file: /cvs/qa/rh_bugzilla_3/template/en/default/account/prefs/saved-searches.html.tmpl,v
retrieving revision 1.2
diff -p -u -r1.2 saved-searches.html.tmpl
--- template/en/default/account/prefs/saved-searches.html.tmpl  12 Feb 2008 19:44:57 -0000      1.2
+++ template/en/default/account/prefs/saved-searches.html.tmpl  5 Nov 2008 11:31:47 -0000
@@ -96,7 +96,15 @@
       <tr>
         <td>[% q.name FILTER html %]</td>
         <td>
-          <a href="buglist.cgi?cmdtype=runnamed&amp;namedcmd=[% q.name FILTER url_quote %]">Run</a>
+          [%# REDHAT EXTENSION START 469886 %]
+          [% IF q.shared_with_group.id %]
+            <a href="buglist.cgi?cmdtype=dorem&amp;remaction=run&amp;namedcmd=
+                     [% q.name FILTER url_quote %]&amp;sharer_id=
+                     [% user.id FILTER url_quote %]">Run</a>
+          [% ELSE %]
+            <a href="buglist.cgi?cmdtype=runnamed&amp;namedcmd=[% q.name FILTER url_quote %]">Run</a>
+          [% END %]
+          [%# REDHAT EXTENSION END 469886 %]
         </td>
         <td>
           <a href="query.cgi?[% q.edit_link FILTER html %]&amp;known_name=

That way we don't have to change the UI much. either ways work for me.

Thanks,
Noura
Comment 8 Jeff Needle 2008-11-05 06:40:52 EST
Noura, that would definitely work for me.  Thanks.
Comment 9 David Lawrence 2008-11-05 11:30:48 EST
Committed to CVS. Will be on the next Bugzilla update (normally on Thursdays).

Note You need to log in before you can comment on or make changes to this bug.